Name: wordnet
Version: 2.0
Release: alt1

Summary: WordNet English lexical reference system
License: Distributable
Group: Text tools
Url: http://www.cogsci.princeton.edu/~wn/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source0: WordNet-%version.tar.bz2
Patch0: WordNet-%version-patch.patch

%add_findreq_skiplist %_bindir/wnb
BuildPreReq: tcl-devel, tk-devel

%description
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.

%package tk
Summary: Tcl/tk frontend WordNet English lexical reference system
Group: Text tools

%description tk
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.


%package -n lib%name
Summary: Library for WordNet English lexical reference system
Group: Text tools

%description -n lib%name
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.

%package -n lib%name-devel
Summary: Includes for WordNet English lexical reference system
Group: Text tools

%description -n lib%name-devel
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.


%prep
%setup -q -n WordNet-%version
%patch0 -p1 -b .path

# fix for build with current environment
%__subst 's|tk8.3|tk8.4|g' src/wnb/Makefile src/Makefile Makefile
%__subst 's|tcl8.3|tcl8.4|g' src/wnb/Makefile src/Makefile Makefile
%__subst 's|-R/usr/openwin/lib:/usr/lib:/usr/local/lib|-L/usr/X11R6/lib -L/usr/lib|g' src/wnb/Makefile src/Makefile Makefile
%__subst 's|-lsocket||g' src/wnb/Makefile src/Makefile Makefile
%__subst 's|wishwn|/usr/bin/wishwn|g' src/wnb/wnb

%build

%install

make SrcWorld PLATFORM=linux WN_ROOT=$RPM_BUILD_ROOT%prefix WN_DOCDIR=$RPM_BUILD_ROOT%_docdir/wordnet-%version WN_MANDIR=$RPM_BUILD_ROOT%_mandir WN_DICTDIR=$RPM_BUILD_ROOT%_datadir/wordnet WN_INCDIR=$RPM_BUILD_ROOT%_includedir/%name WN_LIBDIR=$RPM_BUILD_ROOT%_libdir/%name

install -d -m 0755 $RPM_BUILD_ROOT%_menudir
cat <<EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="wnb" \
needs="x11" \
section="Applications/Text tools" \
title="WordNet" \
longtitle="WordNet English lexical reference system" \
genericname="Dictionary"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/wn
%_datadir/%name/*
%_mandir/*/*
%_docdir/*/*

%files tk
%_bindir/wnb
%_bindir/wishwn*
%_menudir/*

%files -n lib%name
%_libdir/%name

%files -n lib%name-devel
%_includedir/%name


%changelog
* Thu Jun 10 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt1
- first build for Sisyphus (Thanks Ark Linux)

* Fri Mar 21 2003 Sergio Visinoni <piffio@arklinux.org> 1.7.1-3ark
- Really rebuild binaries when building
- Fix dictionary path

* Mon Nov 05 2002 Natasha Sainty <natasha@arklinux.org> 1.7.1-1ark
- First pkg
